<p>
    {{vm.Name}}
</p>
<alert class="disabled" *ngIf="!vm.Model.SearchResult.length && !vm.IsSearchInProgress">Nothing searched yet</alert>
<div style="position: relative; height: 100px" [hidden]="!vm.IsSearchInProgress">
    <ngx-spinner
        bdColor="rgba(51,51,51,0.8)"
        size="medium"
        color="#fff"
        type="pacman">
        <p style="top: 50px;  font-size: 20px; color: white">Searching...</p>
    </ngx-spinner>
</div>

<tabset>
    <tab heading="Results">
        <div id="qlist-wrapper" class="flush-left">
            <div class="question-summary narrow" *ngFor="let _searchItem of vm.Model.SearchResult">
                <div class="cp">
                    <div class="votes">
                        <div class="mini-counts"><span
                            title="{{ _searchItem.score }} votes">{{ _searchItem.score }}</span></div>
                        <div>votes</div>
                    </div>
                    <div class="status" [ngClass]="{answered : _searchItem.is_answered}">
                        <div class="mini-counts"><span
                            title="{{ _searchItem.answer_count }} answers">{{ _searchItem.answer_count }}</span>
                        </div>
                        <div>answers</div>
                    </div>
                    <div class="views">
                        <div class="mini-counts"><span
                            title="{{ _searchItem.view_count }} views">{{ _searchItem.view_count }}</span></div>
                        <div>views</div>
                    </div>
                </div>
                <div class="summary">
                    <h3><a [href]="_searchItem.link" target="_blank"
                           class="question-hyperlink">{{ _searchItem.title }}</a></h3>
                    <div class="tags">
                        <a class="badge badge-info" *ngFor="let _tag of _searchItem.tags"
                           [href]="'https://stackoverflow.com/questions/tagged/'+_tag"
                           [title]="'show questions tagged \''+_tag+''" rel="tag">{{ _tag }}</a>
                    </div>
                    <div class="started">
                        <a [href]="_searchItem.link+'?lastactivity'" class="small disabled">last activity
                            <span [title]="_searchItem.last_activity_date_time"
                                  class="relativetime">{{ _searchItem.last_activity_date_time }}</span></a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="container">
                    <div class="col-sm-1">

                    </div>
                </div>
            </div>
        </div>
    </tab>
    <tab heading="Raw Data">
        <table class="table table-responsive table-bordered table-striped table-light"
               border="1"
               cellpadding="0"
               cellspacing="0"
               style="overflow-x: scroll">
            <thead>
            <tr *ngIf="vm.Model.SearchResult.length">
                <td>Model Type</td>
                <td>answer_count</td>
                <td>closed_date</td>
                <td>closed_reason</td>
                <td>creation_date</td>
                <td>is_answered</td>
                <td>last_activity_date</td>
                <td>link</td>
                <td>score</td>
                <td>tags</td>
                <td>title</td>
                <td>view_count</td>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let _searchItem of vm.Model.SearchResult">
                <td>{{ _searchItem.toString() }}</td>
                <td>{{ _searchItem.answer_count }}</td>
                <td>{{ _searchItem.closed_date }}</td>
                <td>{{ _searchItem.closed_reason }}</td>
                <td>{{ _searchItem.creation_date }}</td>
                <td>{{ _searchItem.is_answered }}</td>
                <td>{{ _searchItem.last_activity_date }}</td>
                <td>{{ _searchItem.link }}</td>
                <td>{{ _searchItem.score }}</td>
                <td>{{ _searchItem.tags }}</td>
                <td>{{ _searchItem.title }}</td>
                <td>{{ _searchItem.view_count }}</td>
            </tr>
            </tbody>
        </table>
    </tab>
</tabset>
